> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all Bank Transactions

> Returns the list of bank transactions



## OpenAPI

````yaml get /consumers/{consumer_id}/invoicing/bank-transactions
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/invoicing/bank-transactions:
    get:
      tags:
        - Invoicing
        - Bank transactions
      summary: Retrieve all Bank Transactions
      description: Returns the list of bank transactions
      operationId: invoicing_get_bank_transactions
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Date From
          description: >-
            The start date (inclusive) for filtering bank transactions. If
            provided, only transactions on or after this date will be returned.
        - name: date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Date To
          description: >-
            The end date (inclusive) for filtering bank transactions. If
            provided, only transactions on or before this date will be returned.
        - name: bank_account_id
          in: query
          required: true
          schema:
            type: string
            title: Bank Account Id
          description: >-
            The unique identifier of the bank account to filter transactions
            for. If omitted, transactions from all accessible accounts will be
            included.
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/BankTransactionStatus'
              - type: 'null'
            title: Status
          description: Filter transactions by their status.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_InvoicingBankTransactionItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - invoicing
            - invoicing.read
            - invoicing.bank_transactions
            - invoicing.bank_transactions.read
components:
  schemas:
    BankTransactionStatus:
      type: string
      enum:
        - draft
        - done
      title: BankTransactionStatus
    ChiftPage_InvoicingBankTransactionItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/InvoicingBankTransactionItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[InvoicingBankTransactionItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    InvoicingBankTransactionItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        status:
          $ref: '#/components/schemas/BankTransactionStatus'
          description: Status of the bank transaction
        bank_account_id:
          type: string
          title: Bank Account Id
          description: Technical id of the bank account in Chift
        amount:
          type: number
          title: Amount
          description: Transaction amount
        date:
          type: string
          format: date
          title: Date
          description: Transaction date
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Transaction description
        currency:
          type: string
          title: Currency
          description: Currency of the transaction
        currency_exchange_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Currency Exchange Rate
          description: Exchange rate at the date of the transaction
          default: 1
        accounting_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Accounting Code
          description: Accounting code
        linked_documents:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedDocument'
              type: array
            - type: 'null'
          title: Linked Documents
          description: List of linked documents
          default: []
      type: object
      required:
        - id
        - source_ref
        - status
        - bank_account_id
        - amount
        - date
        - currency
      title: InvoicingBankTransactionItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Ref:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
      type: object
      title: Ref
    LinkedDocument:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        amount:
          type: number
          title: Amount
          description: Amount linked to the document
        type:
          $ref: '#/components/schemas/LinkedDocumentType'
          description: Type of linked document
      type: object
      required:
        - id
        - source_ref
        - amount
        - type
      title: LinkedDocument
    LinkedDocumentType:
      type: string
      enum:
        - invoice
        - other
      title: LinkedDocumentType
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````